
/* Polaroid styling */
.img-square {
  width: 100%;
  height: 80%;
  object-fit: cover;
  object-position: left top;
}

.polaroid {
  width: 130px;
  height: 150px;
  text-align: center;
  padding: 5px 10px;
  background-color: #ffffff;
  filter: drop-shadow(5px 5px 5px #1b1b1b);
  transform: rotate(10deg);
}

.polaroid:hover {
  cursor: pointer;
}

/* Camera details summary */

details>summary {
  list-style: none;

  &::before {
    content: "📷";
    font-size: 30px;
  }

  [open] &::befpre {
    content: "📸";
    font-size: 30px;
  }

  &::before:hover {
    content: "📸";
    font-size: 30px;
    cursor: pointer;
  }
}

details>summary:hover {
  list-style: none;

  &::before {
    content: "📸";
    font-size: 30px;
    cursor: pointer;
  }
}

details[open]::details-content {
  margin: -80px 150px;
}

/* On mobile devices, display image aside below image */
@media (max-width: 600px) {

  details[open]::details-content {
    margin: -80px 150px;
  }
}
